#ifndef __GUI_H__
#define __GUI_H__

#include <qwidget.h>
#include <qlistbox.h>
#include <qlabel.h>
#include <qpixmap.h>
#include <qpushbt.h>
#include <qsocknot.h>
#include <qtimer.h>
#include <qdialog.h>

#include "hconfig.h"

#define KHOSTCHOOSER_VERSION "0.3, Apr. 25th 1998"

class ChooserGUI: public QDialog
{
  Q_OBJECT
public:
  ChooserGUI(KHostConfig *conf, QWidget *parent=0, const char *name=0);

  void setHostList(char **names, int len);

  void initReceiverSocket(int socknum);
  void startPingTimer(int timeout);

public slots:
  void slotAccept();

protected slots:
  void slotHighlighted(const char *item);
  void slotCancel();

  void slotPing();
  void slotReceivePacket(int socket);
  void slotPingTimeout();
  void slotListDblClick(int); // user selects by double clicking in listbox

private:
  QPixmap *kdelogo;
  QLabel *logo, *header;
  QListBox *hostlist;
  QLabel *msg;
  QPushButton *cancel, *accept, *ping;
  const char *current_item;

  QSocketNotifier *rec_packet;
  QTimer *ping_timer;
  int namewidth;
};

#endif

